import { Register } from "@/components/Register";
import { SignIn } from "@/components/SignIn";
import { useAppSelector } from "@/store/hook";
import { Row, Tabs, TabsProps } from "antd";
import { useEffect } from "react";
import { useNavigate } from "react-router-dom";

const items: TabsProps['items'] = [
    {
      key: '1',
      label: 'Sign In',
      children: <SignIn/>,
    },
    {
      key: '2',
      label: 'Registration',
      children: <Register/>,
    },
]

export const Auth = () => {
    const navigate = useNavigate()
    const {user} = useAppSelector(state => state.users)

    useEffect(() => {
      if(user) navigate('/')
    }, [navigate, user])

    return (
       <Row 
            align={'middle'}
            justify={'center'}
            style={{height: '90vh'}}
        >
             <Tabs 
                defaultActiveKey="1" 
                items={items}
            />
       </Row>
    )
}